> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prop Trading Get Payout Import Rows

> Pages through an import's rows with optional status filter, decrypting trader emails and resolving payout currency.

Required scope: `payments:read`. It also needs `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/prop-trading-get-payout-import-rows
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/prop-trading-get-payout-import-rows:
    get:
      operationId: propTradingGetPayoutImportRows
      summary: Prop Trading Get Payout Import Rows
      x-toku-required-scope: payments:read
      description: >-
        Pages through an import's rows with optional status filter, decrypting
        trader emails and resolving payout currency.


        Required scope: `payments:read`. It also needs `compensation:read`.
      parameters:
        - name: payoutImportID
          in: query
          required: true
          schema:
            type: string
            format: uuid
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - PENDING
              - VALID
              - INVALID
              - SKIPPED
              - COMMITTED
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: pageSize
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 5000
            default: 50
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PropTradingGetPayoutImportRowsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PropTradingGetPayoutImportRowsResponse:
      type: object
      properties:
        payoutImportID:
          type: string
        fileName:
          type: string
        importStatus:
          type: string
          enum:
            - DRAFT
            - PARSING
            - PARSED
            - COMMITTING
            - COMMITTED
            - FAILED
            - CANCELLED
        totalRows:
          type: integer
        validRows:
          type: integer
        errorRows:
          type: integer
        parsedAt:
          type:
            - string
            - 'null'
        committedAt:
          type:
            - string
            - 'null'
        rows:
          type: array
          items:
            type: object
            properties:
              payoutImportRowID:
                type: string
              rawRowIndex:
                type: integer
              traderEmail:
                type: string
              traderName:
                type:
                  - string
                  - 'null'
              amount:
                type: string
                pattern: ^-?\d+(\.\d+)?(e[+-]?\d+)?$
              currencyCode:
                type: string
              externalReference:
                type: string
              status:
                type: string
                enum:
                  - PENDING
                  - VALID
                  - INVALID
                  - SKIPPED
                  - COMMITTED
              errorCodes:
                type: array
                items:
                  type: string
              errorMessages:
                type: array
                items:
                  type: string
              matchedRoleInOrgID:
                type:
                  - string
                  - 'null'
              invoicePaymentID:
                type:
                  - string
                  - 'null'
              payoutCurrency:
                type:
                  - string
                  - 'null'
            required:
              - payoutImportRowID
              - rawRowIndex
              - traderEmail
              - traderName
              - amount
              - currencyCode
              - externalReference
              - status
              - errorCodes
              - errorMessages
              - matchedRoleInOrgID
              - invoicePaymentID
              - payoutCurrency
        filteredCount:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
      required:
        - payoutImportID
        - fileName
        - importStatus
        - totalRows
        - validRows
        - errorRows
        - parsedAt
        - committedAt
        - rows
        - filteredCount
        - page
        - pageSize
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
